Status Pages
Get status page details
Fetch a status page with components, monitors, and permissions.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringStatus page ID
Format
uuidStatus page details
application/json- response
statusPage?components?array<>monitors?array<>canUpdate?booleancurl -X GET 'https://demo.supercheck.dev/api/status-pages/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "statusPage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "subdomain": "string", "status": "string", "pageDescription": "string", "allowRssFeed": true, "faviconLogo": "string", "transactionalLogo": "string", "heroCover": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "components": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "position": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "monitors": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "string", "status": "string", "target": "string", "weight": 0 } ], "monitorIds": [ "b097df87-5e66-49a7-b709-53c1c4c15b17" ] } ], "monitors": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "string", "status": "string" } ], "canUpdate": true}